Bug 969881 - [abrt] gnome-pie-0.5.3-2.20120826git1b93e1.fc18: g_malloc: Process /usr/bin/gnome-pie was killed by signal 5 (SIGTRAP)
[abrt] gnome-pie-0.5.3-2.20120826git1b93e1.fc18: g_malloc: Process /usr/bin/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-pie (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
abrt_hash:7018ec1debbec132326d5b72ed4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 17:56 EDT by virtualoren
Modified: 2014-02-05 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.04 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: cgroup (131 bytes, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: core_backtrace (2.18 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: dso_list (9.72 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: environ (1.53 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: maps (44.47 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: open_fds (4.02 KB, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details
File: var_log_messages (275 bytes, text/plain)
2013-06-02 17:56 EDT, virtualoren
no flags Details

  None (edit)
Description virtualoren 2013-06-02 17:56:16 EDT
Description of problem:
I installed, gnome-pie in Fedora 18. It installed fine, but whenever I start it, it acts like it "ignored" the click. It doesn't do anything. When I run it in terminal, I get this:

[WARNING] Failed to find settings file "gnome-pie.conf"! (This should only happen when Gnome-Pie is started for the first time...)
[MESSAGE] Welcome to Gnome-Pie 0.5.3!
[MESSAGE] Gnome-Pie is already running. Sending request to open config menu.

(gnome-pie:5873): Unique-GDBus-WARNING **: Error while sending message: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

I'm assuming only the second part is important, but I included all of it, just in case. Note: despite what it says in the first line, this is probably the tenth time I've tried to start it.

Version-Release number of selected component:
gnome-pie-0.5.3-2.20120826git1b93e1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gnome-pie
crash_function: g_malloc
executable:     /usr/bin/gnome-pie
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc at gmem.c:164
 #3 g_memdup at gstrfuncs.c:392
 #4 _vala_array_dup1 at /usr/src/debug/gnome-pie-0.5.3/src/images/image.c:585
 #5 gnome_pie_image_to_pixbuf at /usr/src/debug/gnome-pie-0.5.3/src/images/image.c:610
 #6 gnome_pie_pie_list_load_pie at /usr/src/debug/gnome-pie-0.5.3/src/gui/pieList.c:551
 #7 gnome_pie_pie_list_reload_all at /usr/src/debug/gnome-pie-0.5.3/src/gui/pieList.c:380
 #8 gnome_pie_pie_list_construct at /usr/src/debug/gnome-pie-0.5.3/src/gui/pieList.c:304
 #9 gnome_pie_pie_list_new at /usr/src/debug/gnome-pie-0.5.3/src/gui/pieList.c:314
 #10 gnome_pie_preferences_window_construct at /usr/src/debug/gnome-pie-0.5.3/src/gui/preferencesWindow.c:474
 #11 gnome_pie_preferences_window_new at /usr/src/debug/gnome-pie-0.5.3/src/gui/preferencesWindow.c:588
Comment 1 virtualoren 2013-06-02 17:56:19 EDT
Created attachment 756101 [details]
File: backtrace
Comment 2 virtualoren 2013-06-02 17:56:21 EDT
Created attachment 756102 [details]
File: cgroup
Comment 3 virtualoren 2013-06-02 17:56:24 EDT
Created attachment 756103 [details]
File: core_backtrace
Comment 4 virtualoren 2013-06-02 17:56:26 EDT
Created attachment 756104 [details]
File: dso_list
Comment 5 virtualoren 2013-06-02 17:56:28 EDT
Created attachment 756105 [details]
File: environ
Comment 6 virtualoren 2013-06-02 17:56:31 EDT
Created attachment 756106 [details]
File: limits
Comment 7 virtualoren 2013-06-02 17:56:33 EDT
Created attachment 756107 [details]
File: maps
Comment 8 virtualoren 2013-06-02 17:56:36 EDT
Created attachment 756108 [details]
File: open_fds
Comment 9 virtualoren 2013-06-02 17:56:38 EDT
Created attachment 756109 [details]
File: proc_pid_status
Comment 10 virtualoren 2013-06-02 17:56:41 EDT
Created attachment 756110 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:49:59 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:38:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.